All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
block_ilu.hpp File Reference

Implementations of incomplete block factorization preconditioners. More...

`#include <vector>`
`#include <cmath>`
`#include "viennacl/forwards.h"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/linalg/detail/ilu/common.hpp"`
`#include "viennacl/linalg/detail/ilu/ilu0.hpp"`
`#include "viennacl/linalg/detail/ilu/ilut.hpp"`
`#include <map>`

Go to the source code of this file.

## Classes

class | viennacl::linalg::detail::ilu_vector_range< VectorT, NumericT, SizeT >
| Helper range class for representing a subvector of a larger buffer. More...
class | viennacl::linalg::block_ilu_precond< MatrixT, ILUTag >
| A block ILU preconditioner class, can be supplied to solve()-routines. More...
class | viennacl::linalg::block_ilu_precond< compressed_matrix< NumericT, AlignmentV >, ILUTagT >
| ILUT preconditioner class, can be supplied to solve()-routines. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.

## Functions

template<typename NumericT >
void | viennacl::linalg::detail::extract_block_matrix (viennacl::compressed_matrix< NumericT > const &A, viennacl::compressed_matrix< NumericT > &diagonal_block_A, vcl_size_t start_index, vcl_size_t stop_index)
| Extracts a diagonal block from a larger system matrix. More...

## Detailed Description

Implementations of incomplete block factorization preconditioners.

Definition in file block_ilu.hpp.